Note these debian packages no longer work. They worked for me at this ppa if you trust archived packages of hal you can access them here https://launchpad.net/~mjblenner/+archive/ppa-hal
then use...